NX Open C++ Reference Guide
|
Represents a @link Features::EditCrossSection Features::EditCrossSection@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateEditCrossSectionBuilder Features::FeatureCollection::CreateEditCrossSectionBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | ChangeSectionCurve () |
Change the section curves. | |
void | CreateSectionCurve () |
Create the section curves. | |
void | DeleteSectionSketch (NXOpen::Sketch *sectionSketch) |
Remove the curve sketch. | |
NXOpen::ScCollector * | Face () |
Returns the face collector. | |
NXOpen::GeometricUtilities::FaceChangeOverflowBehavior * | FaceChangeOverflowBehavior () |
Returns the face change overflow behavior. | |
void | IncludeBlendFaces () |
Include or exclude the blends. | |
bool | IncludeBlends () |
Returns the include blends setting. | |
void | IncludeHoleFaces () |
Include or exclude the holes. | |
bool | IncludeHoles () |
Returns the include holes setting. | |
NXOpen::SelectISurface * | Plane () |
Returns the select plane. | |
void | RecreateSectionCurve () |
Recreate the section curves. | |
void | RemoveData () |
Remove the section data. | |
NXOpen::Sketch * | SectionSketch () |
Returns the sketch which holds the section curves Created in NX8.0.0. | |
void | SetIncludeBlends (bool includeBlends) |
Sets the include blends setting. | |
void | SetIncludeHoles (bool includeHoles) |
Sets the include holes setting. | |
void | SetSectionSketch (NXOpen::Sketch *sectionSketch) |
Sets the sketch which holds the section curves Created in NX8.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::EditCrossSection Features::EditCrossSection@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateEditCrossSectionBuilder Features::FeatureCollection::CreateEditCrossSectionBuilder @endlink <br>
Default values.
Property | Value |
---|---|
IncludeBlends |
0 |
IncludeHoles |
1 |
Created in NX8.0.0.
void NXOpen::Features::EditCrossSectionBuilder::ChangeSectionCurve | ( | ) |
Change the section curves.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::EditCrossSectionBuilder::CreateSectionCurve | ( | ) |
Create the section curves.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::EditCrossSectionBuilder::DeleteSectionSketch | ( | NXOpen::Sketch * | sectionSketch | ) |
Remove the curve sketch.
Created in NX9.0.0.
License requirements : None
sectionSketch | sectionsketch |
NXOpen::ScCollector* NXOpen::Features::EditCrossSectionBuilder::Face | ( | ) |
Returns the face collector.
This holds all the input faces to intersect.
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::FaceChangeOverflowBehavior* NXOpen::Features::EditCrossSectionBuilder::FaceChangeOverflowBehavior | ( | ) |
Returns the face change overflow behavior.
Please refer GeometricUtilities::FaceChangeOverflowBehavior for details.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::EditCrossSectionBuilder::IncludeBlendFaces | ( | ) |
Include or exclude the blends.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::EditCrossSectionBuilder::IncludeBlends | ( | ) |
Returns the include blends setting.
True indicates a blend face participates in the section and is represented by a section curve.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::EditCrossSectionBuilder::IncludeHoleFaces | ( | ) |
Include or exclude the holes.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::EditCrossSectionBuilder::IncludeHoles | ( | ) |
Returns the include holes setting.
True indicates an interior boundary participates in the section and is represented in the section curve set.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectISurface* NXOpen::Features::EditCrossSectionBuilder::Plane | ( | ) |
Returns the select plane.
This is the plane to intersect.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::EditCrossSectionBuilder::RecreateSectionCurve | ( | ) |
Recreate the section curves.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::EditCrossSectionBuilder::RemoveData | ( | ) |
Remove the section data.
Created in NX8.5.0.
License requirements : None
NXOpen::Sketch* NXOpen::Features::EditCrossSectionBuilder::SectionSketch | ( | ) |
Returns the sketch which holds the section curves
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::EditCrossSectionBuilder::SetIncludeBlends | ( | bool | includeBlends | ) |
Sets the include blends setting.
True indicates a blend face participates in the section and is represented by a section curve.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
includeBlends | includeblends |
void NXOpen::Features::EditCrossSectionBuilder::SetIncludeHoles | ( | bool | includeHoles | ) |
Sets the include holes setting.
True indicates an interior boundary participates in the section and is represented in the section curve set.
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
includeHoles | includeholes |
void NXOpen::Features::EditCrossSectionBuilder::SetSectionSketch | ( | NXOpen::Sketch * | sectionSketch | ) |
Sets the sketch which holds the section curves
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
sectionSketch | sectionsketch |